package com.yihu.wlyy.entity.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;
import com.yihu.wlyy.health.entity.DevicePatientHealthIndex;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by Reece on 2017/5/11.
 */
@Entity
@Table(name = "wlyy_patient_health_time")
public class PatientHealthTime extends IdEntity {
    //    居民
    private String user;
    //    设备sn码
    private String deviceSN;
    //    早餐前开始时间
    private String fastingStart;
    //    '早餐前截止时间'
    private String fastingEnd;
    //    '早餐后开始时间'
    private String afterBreakfastStart;
    //    '早餐后截止时间'
    private String afterBreakfastEnd;
    //    '午餐前开始时间'
    private String beforeLunchStart;
    //    '午餐前截止时间'
    private String beforeLunchEnd;
    //    '午餐后开始时间'
    private String afterLunchStart;
    //    '午餐后截止时间'
    private String afterLunchEnd;
    //    '晚餐前开始时间'
    private String beforeDinnerStart;
    //    '晚餐前截止时间'
    private String beforeDinnerEnd;
    //    '晚餐后开始时间'
    private String afterDinnerStart;
    //    '晚餐后截止时间'
    private String afterDinnerEnd;
    //    '睡前开始时间'
    private String beforeSleepStart;
    //    '睡前截止时间'
    private String beforeSleepEnd;
    //    '添加时间'
    private Date czrq;
    //    是否作废，1正常，0作废
    private int del;

    public PatientHealthTime() {
    }

    @Column(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Column(name = "device_sn")
    public String getDeviceSN() {
        return deviceSN;
    }

    public void setDeviceSN(String deviceSN) {
        this.deviceSN = deviceSN;
    }

    @Column(name = "fasting_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getFastingStart() {
        return fastingStart;
    }


    public void setFastingStart(String fastingStart) {
        this.fastingStart = fastingStart;
    }

    @Column(name = "fasting_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getFastingEnd() {
        return fastingEnd;
    }


    public void setFastingEnd(String fastingEnd) {
        this.fastingEnd = fastingEnd;
    }

    @Column(name = "after_breakfast_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getAfterBreakfastStart() {
        return afterBreakfastStart;
    }


    public void setAfterBreakfastStart(String afterBreakfastStart) {
        this.afterBreakfastStart = afterBreakfastStart;
    }

    @Column(name = "after_breakfast_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getAfterBreakfastEnd() {
        return afterBreakfastEnd;
    }


    public void setAfterBreakfastEnd(String afterBreakfastEnd) {
        this.afterBreakfastEnd = afterBreakfastEnd;
    }

    @Column(name = "before_lunch_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getBeforeLunchStart() {
        return beforeLunchStart;
    }


    public void setBeforeLunchStart(String beforeLunchStart) {
        this.beforeLunchStart = beforeLunchStart;
    }

    @Column(name = "before_lunch_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getBeforeLunchEnd() {
        return beforeLunchEnd;
    }


    public void setBeforeLunchEnd(String beforeLunchEnd) {
        this.beforeLunchEnd = beforeLunchEnd;
    }

    @Column(name = "after_lunch_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getAfterLunchStart() {
        return afterLunchStart;
    }


    public void setAfterLunchStart(String afterLunchStart) {
        this.afterLunchStart = afterLunchStart;
    }

    @Column(name = "after_lunch_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getAfterLunchEnd() {
        return afterLunchEnd;
    }


    public void setAfterLunchEnd(String afterLunchEnd) {
        this.afterLunchEnd = afterLunchEnd;
    }

    @Column(name = "before_dinner_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getBeforeDinnerStart() {
        return beforeDinnerStart;
    }


    public void setBeforeDinnerStart(String beforeDinnerStart) {
        this.beforeDinnerStart = beforeDinnerStart;
    }

    @Column(name = "before_dinner_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getBeforeDinnerEnd() {
        return beforeDinnerEnd;
    }


    public void setBeforeDinnerEnd(String beforeDinnerEnd) {
        this.beforeDinnerEnd = beforeDinnerEnd;
    }

    @Column(name = "after_dinner_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getAfterDinnerStart() {
        return afterDinnerStart;
    }


    public void setAfterDinnerStart(String afterDinnerStart) {
        this.afterDinnerStart = afterDinnerStart;
    }

    @Column(name = "after_dinner_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getAfterDinnerEnd() {
        return afterDinnerEnd;
    }


    public void setAfterDinnerEnd(String afterDinnerEnd) {
        this.afterDinnerEnd = afterDinnerEnd;
    }

    @Column(name = "before_sleep_start")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getBeforeSleepStart() {
        return beforeSleepStart;
    }


    public void setBeforeSleepStart(String beforeSleepStart) {
        this.beforeSleepStart = beforeSleepStart;
    }

    @Column(name = "before_sleep_end")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+08:00")
    public String getBeforeSleepEnd() {
        return beforeSleepEnd;
    }


    public void setBeforeSleepEnd(String beforeSleepEnd) {
        this.beforeSleepEnd = beforeSleepEnd;
    }

    @Column(name = "czrq")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }


    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    public int getDel() {
        return del;
    }

    public void setDel(int del) {
        this.del = del;
    }
}


